Bug 1502738 - Dynamic refresh ignored on Service Dialog elements if clicking submit without clicking out of refresh trigger element first
Summary: Dynamic refresh ignored on Service Dialog elements if clicking submit without...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.8.2
Assignee: eclarizi
QA Contact: Shveta
URL:
Whiteboard: automate:dialog
Depends On: 1499589
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-16 14:56 UTC by Satoe Imaishi
Modified: 2017-11-14 07:21 UTC (History)
14 users (show)

Fixed In Version: 5.8.2.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1499589
Environment:
Last Closed: 2017-10-24 00:42:40 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
dialog used (3.33 KB, text/x-vhdl)
2017-10-19 05:43 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-10-16 15:04:15 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/35beb5e894ab2232b24b1e3083f26b23a827ba10

commit 35beb5e894ab2232b24b1e3083f26b23a827ba10
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Oct 16 10:25:19 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Oct 16 10:58:24 2017 -0400

    Merge pull request #2397 from eclarizio/BZ1499589
    
    Use miqObserveRequest to force dialog submit to wait for auto refresh
    (cherry picked from commit 8dd216a26aec3117bfc6e6f18f0bd0dab48573b7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1502738

 app/assets/javascripts/dialog_field_refresh.js |  4 ++--
 spec/javascripts/dialog_field_refresh_spec.js  | 17 +++++++++++++++++
 2 files changed, 19 insertions(+), 2 deletions(-)

Comment 3 Shveta 2017-10-19 02:46:06 UTC
Erik , I tried importing the dialog provided to test this bug but not able to import .
Can you pls try at https://10.8.197.193/

Comment 4 Shveta 2017-10-19 05:42:38 UTC
I was able to import the dialog after making some changes .
Verified works fine in 5.8.2.3.20171016155816_aaec796 .

For reference :
Method used was :
===================
dialog = $evm.object

dialog['value'] = "hello#{rand(100)}"

Comment 5 Shveta 2017-10-19 05:43:32 UTC
Created attachment 1340528 [details]
dialog used

Comment 7 errata-xmlrpc 2017-10-24 00:42:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.